Name:           clutter-perl
Version:        0.8.2.0
Release:        1%{?dist}
Summary:        Perl bindings to the Clutter OpenGL canvas

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/clutter/
Source0:        http://www.clutter-project.org/sources/%{name}/0.8/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

      
# Correct for lots of packages, other common choices include eg. Module::Build

BuildRequires:  clutter-devel clutter-gst-devel clutter-gtk-devel clutter-cairo-devel
BuildRequires:  perl(Glib) perl(Cairo) perl(Gtk2) perl(GStreamer) perl(ExtUtils::PkgConfig)
BuildRequires:  perl(ExtUtils::Depends) perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Data::Dumper)

%description
The Clutter Perl bindings allow you to write canvas-based applications in
a Perlish and object-oriented way, freeing you from having to care about
casting and memory management of the original Clutter C API, and yet
remaining close to its spirit.

You can find out more about Clutter at http://www.clutter-project.org.


%prep
%setup -q -n Clutter-0.820


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# Not test, See http://fedoraproject.org/wiki/Packaging/Perl#When_to_.2Anot.2A_test
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README examples/
# For arch-specific packages: vendorarch
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*


%changelog

* Sat Jan 24 2009 Allisson Azevedo <allisson@gmail.com> 0.8.2.0-1
- Initial RPM release
